<!--suppress ALL -->
<p align="center">
  <img src="https://img.shields.io/github/release/doubleangels/NextDNSManager.svg?logo=github&label=GitHub%20Build&style=for-the-badge" alt="GitHub Build">
  <img src="https://img.shields.io/f-droid/v/com.doubleangels.nextdnsmanagement.svg?logo=F-Droid&label=F-Droid%20Build&style=for-the-badge" alt="F-Droid Build">
  <img src="https://img.shields.io/github/actions/workflow/status/doubleangels/NextDNSManager/.github/workflows/deploy.yml?label=Deployment%20Pipeline&style=for-the-badge" alt="Main Deployment">
  <img src="https://img.shields.io/github/actions/workflow/status/doubleangels/NextDNSManager/.github/workflows/test-dev.yml?label=Development%20Testing&style=for-the-badge" alt="Development Testing">
  <img src="https://img.shields.io/librariesio/github/doubleangels/NextDNSManager?label=Dependencies&style=for-the-badge" alt="Dependencies">
  <img src="https://img.shields.io/github/issues/doubleangels/NextDNSManager?label=GitHub%20Issues&style=for-the-badge" alt="GitHub Issues">
  <img src="https://img.shields.io/github/issues-pr/doubleangels/NextDNSManager?label=GitHub%20Pull%20Requests&style=for-the-badge" alt="GitHub Pull Requests">
</p>

<p align="center">
  <img src="icons/web/icon-192.png" alt="Icon">
  <a href="https://play.google.com/store/apps/details?id=com.doubleangels.nextdnsmanagement">
    <img src="https://play.google.com/intl/en_us/badges/static/images/badges/en_badge_web_generic.png" alt="Google Play">
  </a>
  <a href="https://f-droid.org/en/packages/com.doubleangels.nextdnsmanagement">
    <img src="https://fdroid.gitlab.io/artwork/badge/get-it-on.png" alt="F-Droid">
  </a>
</p>

<p align="center"> 
  <img src="fastlane/metadata/android/en-US/images/phoneScreenshots/1.png" alt="Screenshot">
</p>

# About

NextDNS Manager is an Android application that simplifies the management of your [NextDNS](https://nextdns.io) configuration. NextDNS is a cloud-based DNS filter and firewall that protects your home, family, and privacy online. With NextDNS Manager, you can easily control your NextDNS settings and ensure a safer and more secure online experience.

NextDNS Manager can be installed on any Android phone or tablet running Android 12L+

**NextDNS Manager is a completely open-source project with no official ties to NextDNS.**

# Features:

- **Intuitive Interface**: NextDNS Manager provides a user-friendly interface that allows you to manage your NextDNS settings with ease. The interface also includes Material You styling, automatic dark mode, as well as a dynamic/themed icon. The application also supports 14 languages!

- **Configuration Management**: You can configure your NextDNS settings, including filtering modes, blocklists, and whitelists.

- **Real-time Statistics**: Get insights into your DNS queries, blocked requests, and security events in real-time.

- **Security and Privacy**: Enhance your online security and privacy by leveraging NextDNS' filtering capabilities.

- **Easy Installation**: You can download and install NextDNS Manager from the Google Play Store, F-Droid, or directly from GitHub, providing multiple installation options.

# Installation

## Which installation method should I use?

Which app you should use depends on your privacy preferences and how often you wish to receive updates:

- If you are able to use Google Play, use it.
- If you're not able to use Google Play, sideload an APK from this repository.
- If neither of these options work for you, install the app from F-Droid.

For each build ("version") of the app, there are timelines for when the build will be available, so methods with longer timelines will result in longer wait times for updates.

|                  | Google Play   | Sideloaded APK | F-Droid       |
|------------------|---------------|----------------|---------------|
| **Availability** | A few minutes | A few minutes  | Up to 14 days |

F-Droid takes much longer than any of the other methods because they have a human involved in the process, each app is signed by a human on a computer that is air-gapped (not connected to the internet).

## Google Play Store

NextDNS Manager is available on the Google Play Store [here](https://play.google.com/store/apps/details?id=com.doubleangels.nextdnsmanagement).

## F-Droid Installation

NextDNS Manager is available on F-Droid [here](https://f-droid.org/en/packages/com.doubleangels.nextdnsmanagement).

## Manual Installation

The most recent APK is available for download [here](https://github.com/doubleangels/NextDNSManager/releases).

# Reporting Issues/Suggestions and Feedback

If you encounter any issues while using NextDNS Manager, I encourage you to report them to me. Please read the [FAQ's](FAQ.md) and then open an [issue](https://github.com/doubleangels/NextDNSManager/issues/new/choose). Please note that I work on this project in my free time, so issue responses may be delayed.
Your suggestions and feedback are valuable to me as they help me improve NextDNS Manager. If you have any ideas for enhancements or feedback to share, please do so by opening a new issue as outlined above. Be sure to provide a detailed description of your suggestion or feedback.

# Contributing

Please learn how to contribute to this project [here](CONTRIBUTING.md).

# Security Policy

Learn about this application's security policy [here](SECURITY.md).

# Terms & Conditions/Privacy Policy

- [Privacy Policy](https://doubleangels.github.io/privacyPolicy/nextdns.html)
- [Terms and Conditions](https://doubleangels.github.io/privacyPolicy/nextdns_terms.html)

# Donations

- Donations are always optional.
- [Donate Here](https://donate.stripe.com/4gw8yhbvH0mg6SQ7ss)

# License

NextDNS Manager is open-source and released under the [GPLv3](LICENSE).
